| CE Gobi SDK 2.14 GobiApi

- Main Page
- Modules
- Classes
- Files

Classes | Macros | Functions
Sierra Wireless M2MAV Service

## Classes
struct | PIFACETable
struct | AudioConfig
struct | PCMIIRFilter
struct | PCMIIRSetConfig
struct | PCMIIRSetCoeff

## Macros
#define | IMPORTGOBI __declspec( dllimport )
#define | GOBICALLBACK __stdcall
#define | GOBICMAPI __stdcall
#define | MAX_PIFACE_TABLE_SIZE 9

## Functions
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetProfile (BYTE *pGenerator, BYTE *pProfile, BYTE *pEarMute, BYTE *pMicMute, BYTE *pOutGenerator, BYTE *pVolume, BYTE *pCwtMute)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetProfile (BYTE *pProfile, BYTE *pEarMute, BYTE *pMicMute, BYTE *pGenerator, BYTE *pVolume, BYTE *pCwtMute)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetVolume (BYTE *pProfile, BYTE *pGenerator, BYTE *pVolume)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetVolume (BYTE *pProfile, BYTE *pGenerator, BYTE *pVolume)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetAVMute (BYTE *pProfile, BYTE *pEarMute, BYTE *pMicMute, BYTE *pcwtMute)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetAVMute (BYTE *pProfile, BYTE *pEarMute, BYTE *pMicMute, BYTE *pcwtMute)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetAVCFG (BYTE *pAudioProfile, BYTE *pACDBDevice, BYTE *pPIFACEID, PIFACETable *pPIFACETable)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetAVCFG (AudioConfig *pAudioConfig, BYTE *pSize)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioNVDef ()
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetLPBK (BYTE *pEnable)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetSpeakerGain (BYTE *pProfile, USHORT *pSpkrGain)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetSpeakerGain (BYTE *pProfile, USHORT *pSpkrGain)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetSTG (BYTE *pProfile, WORD *pGainValue)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetSTG (BYTE *pProfile, WORD *pGainValue)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetTxVolume (BYTE *pProfile, WORD *pTxVolume)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetTxVolume (BYTE *pProfile, WORD *pTxVolume)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetMicGain (BYTE *pProfile, WORD *pMicGain)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetMicGain (BYTE *pProfile, WORD *pMicGain)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetVolDB (BYTE *pProfile, BYTE *pGenerator, BYTE *pLevel, WORD *pValue)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetVolDB (BYTE *pProfile, BYTE *pGenerator, BYTE *pLevel, WORD *pValue)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetAVTXG (BYTE *pProfile, WORD *pEncoderGain)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetAVTXG (BYTE *pProfile, WORD *pEncoderGain)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetAVRXG (BYTE *pProfile, WORD *pDecoderGain)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetAVRXG (BYTE *pProfile, WORD *pDecoderGain)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetAVEC (BYTE *pProfile, BYTE *pSwitch)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetAVEC (BYTE *pProfile, BYTE *pSwitch)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioGetAVNS (BYTE *pProfile, BYTE *pSwitch)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioSetAVNS (BYTE *pProfile, BYTE *pSwitch)
IMPORTGOBI ULONG GOBICMAPI | SwiM2MAV_AudioPlayTone (BYTE *pGenerator, BYTE *pAudioTone, USHORT *pToneDuration)

## Detailed Description

## Function Documentation

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioGetAVCFG | ( | AudioConfig * | pAudioConfig,
|  | BYTE * | pSize
| ) |  |

The message requests to get audio bind information. It is similar with AT!AVCFG?. QMI_SWI_M2M_AUDIO_GET_AVCFG 0x1A

Parameters

  pAudioConfig | [ O ] - pointer to buffer of Audio Configurations
  pSize | [ I/O ] - In: input buffer size in BYTE Out: number of AudioConfig received

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioGetAVEC | ( | BYTE * | pProfile,
|  | BYTE * | pSwitch
| ) |  |

The message requests to query audio echo canceller enable mode. It is similar with AT!AVEC?<profile>. QMI_SWI_M2M_AUDIO_GET_AVEC_REQ 0x28

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pSwitch | [ O ] - Enable/disable switch 0-1

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioGetAVMute | ( | BYTE * | pProfile,
|  | BYTE * | pEarMute,
|  | BYTE * | pMicMute,
|  | BYTE * | pcwtMute
| ) |  |

The message requests to get audio mute value. It is similar with AT!AVMUTE?<profile>. QMI_SWI_M2M_AUDIO_GET_AVMUTE 0x1C

Parameters

  pProfile | [ I ] - Audio profile 0-5
  pEarMute | [ O ] - Ear mute 0 - mute 1 - unmute
  pMicMute | [ O ] - MIC mute 0 - mute 1 - unmute
  pcwtMute | [ O ] - Waiting tone mute 0 - mute 1 - unmute

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioGetAVNS | ( | BYTE * | pProfile,
|  | BYTE * | pSwitch
| ) |  |

The message requests to query audio noise suppression enable mode. It is similar with AT!AVNS?<profile>. QMI_SWI_M2M_AUDIO_SET_AVNS_REQ 0x2A

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pSwitch | [ O ] - Enable/disable switch 0-1

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioGetAVRXG | ( | BYTE * | pProfile,
|  | WORD * | pDecoderGain
| ) |  |

The message requests to query audio RX path decoder gain value. It is similar with AT!AVRXG?<profile>. QMI_SWI_M2M_AUDIO_GET_AVRXG 0x20

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pDecoderGain | [ O ] - Decoder gain 0x0 – 0xffff

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioGetAVTXG | ( | BYTE * | pProfile,
|  | WORD * | pEncoderGain
| ) |  |

The message requests to query audio TX path encoder gain value. It is similar with AT!AVTXG?<profile>. QMI_SWI_M2M_AUDIO_GET_AVTXG 0x1E

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pEncoderGain | [ O ] - Encoder gain 0x0 – 0xffff

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioGetMicGain | ( | BYTE * | pProfile,
|  | WORD * | pMicGain
| ) |  |

The message requests to query the TX microphone gain. It is similar with AT!AVMICGAIN?<profile>. QMI_SWI_M2M_AUDIO_GET_MICGAIN_REQ 0x10

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pMicGain | [ O ] - TX microphone gain 0x0 – 0x7fff

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioGetProfile | ( | BYTE * | pGenerator,
|  | BYTE * | pProfile,
|  | BYTE * | pEarMute,
|  | BYTE * | pMicMute,
|  | BYTE * | pOutGenerator,
|  | BYTE * | pVolume,
|  | BYTE * | pCwtMute
| ) |  |

The message requests to get the profile content. It is similar with at!avsetprofile?[<generator>] QMI_SWI_M2M_AUDIO_GET_PROFILE 0x01

Parameters

  pGenerator | [ I ] - Generator 0:Voice
  pProfile | [ I ] - Audio profile number 0-5
  pEarMute | [ O ] Ear mute 0:Mute 1:Unmute
  pMicMute | [ O ] Mic Mute 0:Mute 1:Unmute
  pOutGenerator | [ O ] Generator 0:Voice
  pVolume | [ O ] RX volume level 0-5
  pCwtMute | [ O ] Call waiting tone mute 0:Mute 1:Unmute

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioGetSpeakerGain | ( | BYTE * | pProfile,
|  | USHORT * | pSpkrGain
| ) |  |

The message requests to query the RX speakerphone gain. It is similar with AT!AVSPKRGAIN?<profile>. QMI_SWI_M2M_AUDIO_GET_SPKRGAIN 0x12

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pSpkrGain | [ O ] - RX speakerphone gain 0x0 – 0x7fff

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioGetSTG | ( | BYTE * | pProfile,
|  | WORD * | pGainValue
| ) |  |

The message requests to get the side tone value. It is similar with at!avstg?<profile> QMI_SWI_M2M_AUDIO_GET_STG 0x07

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pGainValue | [ O ] - Side tone Gain value 0x0 – 0xffff

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioGetTxVolume | ( | BYTE * | pProfile,
|  | WORD * | pTxVolume
| ) |  |

The message requests to query the TX volume. It is similar with AT!AVTXVOL?<profile>. QMI_SWI_M2M_AUDIO_GET_TXVOL 0x0E

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pTxVolume | [ O ] - TX volume 0x0 – 0x7fff

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioGetVolDB | ( | BYTE * | pProfile,
|  | BYTE * | pGenerator,
|  | BYTE * | pLevel,
|  | WORD * | pValue
| ) |  |

The message requests to get the RX volume of the specified volume level. It is similar with at!avrxvoldb?<profile>,<generator>,<level> QMI_SWI_M2M_AUDIO_GET_VOLDB_REQ 0x05

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pGenerator | [ I ] - Generator 0:Voice
  pVolume | [ I ] Volume level 0-5
  pValue | [ O ] Volume value 0x0 – 0x7fff

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioGetVolume | ( | BYTE * | pProfile,
|  | BYTE * | pGenerator,
|  | BYTE * | pVolume
| ) |  |

The message requests to get the RX volume level. It is similar with at!avsetvol?<profile>,<generator> QMI_SWI_M2M_AUDIO_GET_VOLUME 0x03

Parameters

  pProfile | [ I ] - Audio profile 0-5
  pGenerator | [ I ] - Generator 0:Voice
  pVolume | [ O ] - RX volume level 0-5

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioNVDef | ( |  | ) |

The message requests to set all audio NV to default value. It is similar with at!avdef. This command sets all the configurable audio parameters stored in NV to default values. It won’t change value stored in ACDB. QMI_SWI_M2M_AUDIO_NV_DEF 0x0C

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioPlayTone | ( | BYTE * | pGenerator,
|  | BYTE * | pAudioTone,
|  | USHORT * | pToneDuration
| ) |  |

The message requests to play an audio tone. It is similar with at!avtoneplay=<generator>,

[,<duration>]. This command is used to play a specified tone. QMI_SWI_M2M_AUDIO_PLAY_TONE 0x0A

Parameters

  pGenerator | [ I ] - Generator 0:Voice
  pAudioTone | [ I ] - audio tone 0x00-0x57
  pToneDuration | [ I ] - Tone duration 0-65535

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioSetAVCFG | ( | BYTE * | pAudioProfile,
|  | BYTE * | pACDBDevice,
|  | BYTE * | pPIFACEID,
|  | PIFACETable * | pPIFACETable
| ) |  |

The message requests to bind audio profile with ACDB device and physical interface, configure that interface. It is similar with AT!AVCFG=<profile>,<device>,<PIFACE>[,<param1>[,<paramN>]]. QMI_SWI_M2M_AUDIO_SET_AVCFG 0x1B

Parameters

  pProfile | [ I ] - Audio Profile 0-5
  pACDBDevice | [ I ] - Audio Calibration Database of the device 0 - Vehicle HF 1 - Handset 2 - TTY 3 - USB 4 - N/A
  pPIFACEID | [ I ] - Physical Interface ID 0 - PCM 1 - I2S 2 - Analog(with internal codec) 3 - USB
  pPIFACETable | [ I ] - Physical Interface Table (only used by PCM) BYTE PIFACEParamLen - size of the PIFACEParam BYTE PIFACEParam - Parameters of the Physical interface, for PCM: Mode: 0-slave, 1-master, 2-Auxiliary PCM Rate: 0-8K, 1-16K Format: 0-Linear, 1- μ-law, 2- A-law Padding: 0-disable, 1-enable Bits-frame: 0-8 BPF, 1-16 BPF, 2-32 BPF, 3-64 BPF,4-128 BPF,5-256 BPF

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioSetAVEC | ( | BYTE * | pProfile,
|  | BYTE * | pSwitch
| ) |  |

The message requests to set audio echo canceller enable mode. It is similar with AT!AVEC=<profile>,<switch>. QMI_SWI_M2M_AUDIO_SET_AVEC 0x29

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pSwitch | [ I ] - Enable/disable switch 0-1

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioSetAVMute | ( | BYTE * | pProfile,
|  | BYTE * | pEarMute,
|  | BYTE * | pMicMute,
|  | BYTE * | pcwtMute
| ) |  |

The message requests to set audio mute value. It is similar with AT!AVMUTE=<profile>,<earmute>,<micmute>[,<cwtmute>]. QMI_SWI_M2M_AUDIO_SET_AVMUTE 0x04

Parameters

  pProfile | [ I ] - Audio profile 0-5
  pEarMute | [ I ] - Ear mute 0 - mute 1 - unmute
  pMicMute | [ I ] - MIC mute 0 - mute 1 - unmute
  pcwtMute | [ I ] - Waiting tone mute 0 - mute 1 - unmute

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioSetAVNS | ( | BYTE * | pProfile,
|  | BYTE * | pSwitch
| ) |  |

The message requests to set audio noise suppression enable mode. It is similar with AT!AVNS=<profile>,<switch>. QMI_SWI_M2M_AUDIO_SET_AVNS_REQ 0x2B

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pSwitch | [ I ] - Enable/disable switch 0-1

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioSetAVRXG | ( | BYTE * | pProfile,
|  | WORD * | pDecoderGain
| ) |  |

The message requests to set audio RX path decoder gain value. It is similar with AT!AVRXG=<profile>,<gain>. QMI_SWI_M2M_AUDIO_SET_AVRXG 0x21

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pDecoderGain | [ I ] - Decoder gain 0x0 – 0xffff

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioSetAVTXG | ( | BYTE * | pProfile,
|  | WORD * | pEncoderGain
| ) |  |

The message requests to set audio TX path encoder gain value. It is similar with AT!AVTXG=<profile>,<gain>. QMI_SWI_M2M_AUDIO_SET_AVTXG 0x1F

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pEncoderGain | [ I ] - Encoder gain 0x0 – 0xffff

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioSetLPBK | ( | BYTE * | pEnable | ) |

The message requests to set an audio loopback. It is similar with at!avaudiolpbk=<enable>. This command sets up an audio DSP loopback. QMI_SWI_M2M_AUDIO_SET_LPBK 0x09

Parameters

  pEnable | 0 – stop 1 – VOCODER loop 2 – internal codec loop

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioSetMicGain | ( | BYTE * | pProfile,
|  | WORD * | pMicGain
| ) |  |

The message requests to set the TX volume. It is similar with AT!AVMICGAIN=<profile>,

. This command sets the microphone gain select setting for the specified audio profile. This setting is stored in non-volatile memory and persists across power cycles. QMI_SWI_M2M_AUDIO_SET_MICGAIN_REQ 0x11

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pMicGain | [ I ] - TX microphone gain 0x0 – 0x7fff

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioSetProfile | ( | BYTE * | pProfile,
|  | BYTE * | pEarMute,
|  | BYTE * | pMicMute,
|  | BYTE * | pGenerator,
|  | BYTE * | pVolume,
|  | BYTE * | pCwtMute
| ) |  |

The message requests to set the profile content. It is similar with at!avsetprofile=<profile>[,<earmute>,<micmute>,<generator>, <volume>[,<cwtmute>]]. This command is used to select a profile with which to establish a circuit-switched call. It will also change ACDB device and PIFACE which bind to this profile. The profile selection is persistent. QMI_SWI_M2M_AUDIO_SET_PROFILE 0x02

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pEarMute | [ I ] - Ear mute 0:Mute 1:Unmute
  pMicMute | [ I ] - Mic mute 0:Mute 1:Unmute
  pGenerator | [ I ] - Generator 0:Voice
  pVolume | [ I ] - RX volume level 0-5
  pCwtMute | [ I ] - Call waiting tone mute 0:Mute 1:Unmute

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioSetSpeakerGain | ( | BYTE * | pProfile,
|  | USHORT * | pSpkrGain
| ) |  |

The message requests to set the RX speakerphone gain. It is similar with AT!AVSPKRGAIN=<profile>,

. This command sets the speakerphone gain select setting for the specified audio profile. QMI_SWI_M2M_AUDIO_SET_SPKRGAIN 0x13

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pSpkrGain | [ I ] - RX speakerphone gain 0x0 – 0x7fff

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioSetSTG | ( | BYTE * | pProfile,
|  | WORD * | pGainValue
| ) |  |

The message requests to set the side tone value. It is similar with at!avstg=<profile>,<id>,

. This command sets the AFE stone gain and to enable or disable side tone. The setting is stored in non-volatile memory and persists across power cycles. QMI_SWI_M2M_AUDIO_SET_STG 0x08

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pGainValue | [ I ] - Side tone Gain value 0x0 – 0xffff

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioSetTxVolume | ( | BYTE * | pProfile,
|  | WORD * | pTxVolume
| ) |  |

The message requests to set the TX volume. It is similar with AT!AVTXVOL=<profile>,

. This command sets the TX volume gain for the specified audio profile. This gain is applied to the PCM voice packets prior to feeding them into the vocoder, which encodes the PCM packets into a more efficient format for over the air transmission. This setting is stored in non-volatile memory and persists across power cycles. QMI_SWI_M2M_AUDIO_SET_TXVOL 0x0F

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pTxVolume | [ I ] - TX volume 0x0 – 0x7fff

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioSetVolDB | ( | BYTE * | pProfile,
|  | BYTE * | pGenerator,
|  | BYTE * | pLevel,
|  | WORD * | pValue
| ) |  |

The message requests to set the RX volume of the specified volume level. It is similar with at!avrxvoldb=<profile>,<generator>,<level>,<volume>. This command sets the volume in the voice volume levels in the RX direction. There are multiple volume levels available to allow end-users to pick the volume level suitable for them when in a phone conversation. This command allows the OEM to customize the volume within each volume level. This setting is stored in non-volatile memory and persists across power cycles and it takes effect on next call, but no need reset modem. QMI_SWI_M2M_AUDIO_SET_VOLDB_REQ 0x06

Parameters

  pProfile | [ I ] - Audio profile number 0-5
  pGenerator | [ I ] - Generator 0:Voice
  pVolume | [ I ] Volume level 0-5
  pValue | [ I ] Volume value 0x0 – 0x7fff

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SwiM2MAV_AudioSetVolume | ( | BYTE * | pProfile,
|  | BYTE * | pGenerator,
|  | BYTE * | pVolume
| ) |  |

The message requests to set the RX volume level. It is similar with at!avsetvol=<profile>,<generator>,<level>. This command selects the RX volume level to be used with the selected audio profile. This setting is stored in non-volatile memory and persists across power cycles. QMI_SWI_M2M_AUDIO_SET_VOLUME 0x04

Parameters

  pProfile | [ I ] - Audio profile 0-5
  pGenerator | [ I ] - Generator 0:Voice
  pVolume | [ I ] - RX volume level 0-5

Returns
  See GobiErrorCodes.h